<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Jun 13 10:56:17 CEST 2011 -->
<TITLE>
i18n
</TITLE>

<META NAME="date" CONTENT="2011-06-13">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="i18n";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../PropertyFile/PropertyElement.html" title="class in PropertyFile"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?PropertyFile/i18n.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="i18n.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
PropertyFile</FONT>
<BR>
Class i18n</H2>
<PRE>
java.lang.Object
  <IMG SRC="../resources/inherit.gif" ALT="extended by "><A HREF="../PropertyFile/PropertyFile.html" title="class in PropertyFile">PropertyFile.PropertyFile</A>
      <IMG SRC="../resources/inherit.gif" ALT="extended by "><B>PropertyFile.i18n</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>i18n</B><DT>extends <A HREF="../PropertyFile/PropertyFile.html" title="class in PropertyFile">PropertyFile</A></DL>
</PRE>

<P>
Allows to open the internationalization (i18n) file that is closest to the
 user's language (first national variant, "official" language and then default
 language).
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#i18n()">i18n</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty i18n object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#i18n(java.util.Locale)">i18n</A></B>(java.util.Locale&nbsp;loc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created i18n object with user defined locale language
 (using the default extension "i18n", default base name "lang" and
 the file must be in the current directory).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#i18n(java.util.Locale, java.lang.String)">i18n</A></B>(java.util.Locale&nbsp;loc,
     java.lang.String&nbsp;fname)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created i18n object with user defined locale language
 and base name (using the default extension "i18n" and the file must be
 in the current directory).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#i18n(java.util.Locale, java.lang.String, java.lang.String)">i18n</A></B>(java.util.Locale&nbsp;loc,
     java.lang.String&nbsp;fname,
     java.lang.String&nbsp;fext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created i18n object with user locale language,
 base name and extension (the file must be in the current directory).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#i18n(java.lang.String, java.util.Locale)">i18n</A></B>(java.lang.String&nbsp;dir,
     java.util.Locale&nbsp;loc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created i18n object with user defined locale language
 and directory (using the default extension "i18n" and default base name "lang").</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#i18n(java.lang.String, java.util.Locale, java.lang.String)">i18n</A></B>(java.lang.String&nbsp;dir,
     java.util.Locale&nbsp;loc,
     java.lang.String&nbsp;fname)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created i18n object with user defined directory,
 locale language, base name (using the default extension "i18n").</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#i18n(java.lang.String, java.util.Locale, java.lang.String, java.lang.String)">i18n</A></B>(java.lang.String&nbsp;dir,
     java.util.Locale&nbsp;loc,
     java.lang.String&nbsp;fname,
     java.lang.String&nbsp;fext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created i18n object with user defined directory,
 locale language, base name and extension.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#getDir()">getDir</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the file directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#getFileExt()">getFileExt</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the file extension.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#getFileName()">getFileName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the base name of the file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Locale</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#getLocale()">getLocale</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the locale language.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#load()">load</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Loads an i18n file with parameters previously user defined.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#setDir(java.lang.String)">setDir</A></B>(java.lang.String&nbsp;dir)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the file directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#setFileExt(java.lang.String)">setFileExt</A></B>(java.lang.String&nbsp;fext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the file extension.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#setFileName(java.lang.String)">setFileName</A></B>(java.lang.String&nbsp;fname)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the base name of the file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/i18n.html#setLocale(java.util.Locale)">setLocale</A></B>(java.util.Locale&nbsp;loc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the locale language.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_PropertyFile.PropertyFile"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class PropertyFile.<A HREF="../PropertyFile/PropertyFile.html" title="class in PropertyFile">PropertyFile</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../PropertyFile/PropertyFile.html#add_nt(java.lang.String)">add_nt</A>, <A HREF="../PropertyFile/PropertyFile.html#add_nt(java.lang.String, java.lang.String)">add_nt</A>, <A HREF="../PropertyFile/PropertyFile.html#add(java.lang.String)">add</A>, <A HREF="../PropertyFile/PropertyFile.html#add(java.lang.String, java.lang.String)">add</A>, <A HREF="../PropertyFile/PropertyFile.html#exist(java.lang.String)">exist</A>, <A HREF="../PropertyFile/PropertyFile.html#getString(java.lang.String)">getString</A>, <A HREF="../PropertyFile/PropertyFile.html#getString(java.lang.String, java.util.ArrayList)">getString</A>, <A HREF="../PropertyFile/PropertyFile.html#getString(java.lang.String, java.lang.String)">getString</A>, <A HREF="../PropertyFile/PropertyFile.html#getString(java.lang.String, java.lang.String, java.lang.String)">getString</A>, <A HREF="../PropertyFile/PropertyFile.html#load(java.io.File)">load</A>, <A HREF="../PropertyFile/PropertyFile.html#load(java.lang.String)">load</A>, <A HREF="../PropertyFile/PropertyFile.html#removeAll()">removeAll</A>, <A HREF="../PropertyFile/PropertyFile.html#save(java.io.File)">save</A>, <A HREF="../PropertyFile/PropertyFile.html#save(java.lang.String)">save</A>, <A HREF="../PropertyFile/PropertyFile.html#setString(java.lang.String, java.lang.String)">setString</A>, <A HREF="../PropertyFile/PropertyFile.html#toString()">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="i18n(java.lang.String, java.util.Locale, java.lang.String, java.lang.String)"><!-- --></A><H3>
i18n</H3>
<PRE>
public <B>i18n</B>(java.lang.String&nbsp;dir,
            java.util.Locale&nbsp;loc,
            java.lang.String&nbsp;fname,
            java.lang.String&nbsp;fext)
     throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Initializes a newly created i18n object with user defined directory,
 locale language, base name and extension.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>dir</CODE> - directory of the i18n file.<DD><CODE>loc</CODE> - locale language.<DD><CODE>fname</CODE> - base name of the i18n file.<DD><CODE>fext</CODE> - extension of the i18n file.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DL>
<HR>

<A NAME="i18n(java.util.Locale, java.lang.String, java.lang.String)"><!-- --></A><H3>
i18n</H3>
<PRE>
public <B>i18n</B>(java.util.Locale&nbsp;loc,
            java.lang.String&nbsp;fname,
            java.lang.String&nbsp;fext)
     throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Initializes a newly created i18n object with user locale language,
 base name and extension (the file must be in the current directory).
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>loc</CODE> - locale language.<DD><CODE>fname</CODE> - base name of the i18n file.<DD><CODE>fext</CODE> - extension of the i18n file.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DL>
<HR>

<A NAME="i18n(java.lang.String, java.util.Locale, java.lang.String)"><!-- --></A><H3>
i18n</H3>
<PRE>
public <B>i18n</B>(java.lang.String&nbsp;dir,
            java.util.Locale&nbsp;loc,
            java.lang.String&nbsp;fname)
     throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Initializes a newly created i18n object with user defined directory,
 locale language, base name (using the default extension "i18n").
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>dir</CODE> - directory of the i18n file.<DD><CODE>loc</CODE> - locale language.<DD><CODE>fname</CODE> - base name of the i18n file.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DL>
<HR>

<A NAME="i18n(java.util.Locale, java.lang.String)"><!-- --></A><H3>
i18n</H3>
<PRE>
public <B>i18n</B>(java.util.Locale&nbsp;loc,
            java.lang.String&nbsp;fname)
     throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Initializes a newly created i18n object with user defined locale language
 and base name (using the default extension "i18n" and the file must be
 in the current directory).
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>loc</CODE> - locale language.<DD><CODE>fname</CODE> - base name of the i18n file.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DL>
<HR>

<A NAME="i18n(java.lang.String, java.util.Locale)"><!-- --></A><H3>
i18n</H3>
<PRE>
public <B>i18n</B>(java.lang.String&nbsp;dir,
            java.util.Locale&nbsp;loc)
     throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Initializes a newly created i18n object with user defined locale language
 and directory (using the default extension "i18n" and default base name "lang").
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>dir</CODE> - directory of the i18n file.<DD><CODE>loc</CODE> - locale language.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DL>
<HR>

<A NAME="i18n(java.util.Locale)"><!-- --></A><H3>
i18n</H3>
<PRE>
public <B>i18n</B>(java.util.Locale&nbsp;loc)
     throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Initializes a newly created i18n object with user defined locale language
 (using the default extension "i18n", default base name "lang" and
 the file must be in the current directory).
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>loc</CODE> - locale language.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DL>
<HR>

<A NAME="i18n()"><!-- --></A><H3>
i18n</H3>
<PRE>
public <B>i18n</B>()
     throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Creates an empty i18n object.
<P>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE></DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="setLocale(java.util.Locale)"><!-- --></A><H3>
setLocale</H3>
<PRE>
public void <B>setLocale</B>(java.util.Locale&nbsp;loc)</PRE>
<DL>
<DD>Sets the locale language.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>loc</CODE> - local language.</DL>
</DD>
</DL>
<HR>

<A NAME="getLocale()"><!-- --></A><H3>
getLocale</H3>
<PRE>
public java.util.Locale <B>getLocale</B>()</PRE>
<DL>
<DD>Gets the locale language.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>local language.</DL>
</DD>
</DL>
<HR>

<A NAME="setFileName(java.lang.String)"><!-- --></A><H3>
setFileName</H3>
<PRE>
public void <B>setFileName</B>(java.lang.String&nbsp;fname)</PRE>
<DL>
<DD>Sets the base name of the file.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fname</CODE> - base name.</DL>
</DD>
</DL>
<HR>

<A NAME="getFileName()"><!-- --></A><H3>
getFileName</H3>
<PRE>
public java.lang.String <B>getFileName</B>()</PRE>
<DL>
<DD>Gets the base name of the file.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>base name.</DL>
</DD>
</DL>
<HR>

<A NAME="setFileExt(java.lang.String)"><!-- --></A><H3>
setFileExt</H3>
<PRE>
public void <B>setFileExt</B>(java.lang.String&nbsp;fext)</PRE>
<DL>
<DD>Sets the file extension.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fext</CODE> - file extension.</DL>
</DD>
</DL>
<HR>

<A NAME="getFileExt()"><!-- --></A><H3>
getFileExt</H3>
<PRE>
public java.lang.String <B>getFileExt</B>()</PRE>
<DL>
<DD>Gets the file extension.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>file extension.</DL>
</DD>
</DL>
<HR>

<A NAME="setDir(java.lang.String)"><!-- --></A><H3>
setDir</H3>
<PRE>
public void <B>setDir</B>(java.lang.String&nbsp;dir)</PRE>
<DL>
<DD>Sets the file directory.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>dir</CODE> - file directory.</DL>
</DD>
</DL>
<HR>

<A NAME="getDir()"><!-- --></A><H3>
getDir</H3>
<PRE>
public java.lang.String <B>getDir</B>()</PRE>
<DL>
<DD>Gets the file directory.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>file directory.</DL>
</DD>
</DL>
<HR>

<A NAME="load()"><!-- --></A><H3>
load</H3>
<PRE>
public void <B>load</B>()
          throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Loads an i18n file with parameters previously user defined.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../PropertyFile/PropertyElement.html" title="class in PropertyFile"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?PropertyFile/i18n.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="i18n.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
